Class: Sketchup::Entities

Inherits:
Object show all
Includes:
Enumerable
Defined in:
lib/entities.rb

Instance Method Summary collapse

Instance Method Details

#[](o) ⇒ Object



22
23
# File 'lib/entities.rb', line 22

def [](o)
end

#active_section_planeSectionPlane

Since:

  • SketchUp 2014



35
36
# File 'lib/entities.rb', line 35

def active_section_plane
end

#active_section_plane=(section_plane) ⇒ Object

Since:

  • SketchUp 2014



39
40
# File 'lib/entities.rb', line 39

def active_section_plane=(section_plane)
end

#add_3d_text(string, alignment, font, bold = false, italic = false, letter_height = nil, tolerance = 0.0, z = nil, filled = true, extrusion = 0.0) ⇒ Object



60
61
62
63
# File 'lib/entities.rb', line 60

def add_3d_text(string, alignment, font, bold = false, italic = false,
                letter_height = nil, tolerance = 0.0, z = nil,
                filled = true, extrusion = 0.0)
end

#add_arc(center, xaxis, normal, radius, start_angle, end_angle, segments = 12) ⇒ Object



64
65
# File 'lib/entities.rb', line 64

def add_arc(center, xaxis, normal, radius, start_angle, end_angle, segments = 12)
end

#add_circle(center, normal, radius, segments = 24) ⇒ Object



66
67
# File 'lib/entities.rb', line 66

def add_circle(center, normal, radius, segments = 24)
end

#add_cline(line_Start, line_end, stipple = '') ⇒ Object



68
69
# File 'lib/entities.rb', line 68

def add_cline(line_Start, line_end, stipple = '')
end

#add_cpoint(point) ⇒ Object



71
72
73
74
75
# File 'lib/entities.rb', line 71

def add_cpoint(point)
  pt = Sketchup::ConstructionPoint.new(pt)
  @list.push(pt)
  return(pt)
end

#add_curve(*args) ⇒ Object



77
78
# File 'lib/entities.rb', line 77

def add_curve(*args)
end

#add_dimension_linear(dim_start, dim_end, offset_vector) ⇒ Object

Since:

  • SketchUp 2014



43
44
# File 'lib/entities.rb', line 43

def add_dimension_linear(dim_start, dim_end, offset_vector)
end

#add_dimension_radial(arc_curve, leader_break_point) ⇒ Object

Since:

  • SketchUp 2014



47
48
# File 'lib/entities.rb', line 47

def add_dimension_radial(arc_curve, leader_break_point)
end

#add_edges(*args) ⇒ Array<Sketchup::Edge>

Accepts list of Point3ds or Array of Point3ds



86
87
88
89
90
91
92
93
94
95
# File 'lib/entities.rb', line 86

def add_edges(*args)
  edges = []
  len = args.length
  (len-1).times {|i| 
    edge = Edge.new(args[i], args[i+1])
    edges.push(edge)
  }
  @list.concat(edges)
  return(edges)
end

#add_face(*args) ⇒ Object



96
97
# File 'lib/entities.rb', line 96

def add_face(*args)
end

#add_faces_from_mesh(mesh) ⇒ Object



98
99
# File 'lib/entities.rb', line 98

def add_faces_from_mesh(mesh)
end

#add_group(*args) ⇒ Object



100
101
# File 'lib/entities.rb', line 100

def add_group(*args)
end

#add_image(filename, position, width, height = nil) ⇒ Object



102
103
# File 'lib/entities.rb', line 102

def add_image(filename, position, width, height = nil)
end

#add_instance(definition, transformation) ⇒ Object



104
105
# File 'lib/entities.rb', line 104

def add_instance(definition, transformation)
end

#add_line(*args) ⇒ Sketchup::Edge

Adds an Edge to the Entities collection

Examples:

model = Sketchup.active_model
ents = model.entities
edge = ents.add_line(ORIGIN, [1, 1, 0])


119
120
# File 'lib/entities.rb', line 119

def add_line(*args)
end

#add_ngon(center, normal, radius, segments) ⇒ Object



122
123
# File 'lib/entities.rb', line 122

def add_ngon(center, normal, radius, segments)
end

#add_observer(observer) ⇒ Object



124
125
# File 'lib/entities.rb', line 124

def add_observer(observer)
end

#add_section_plane(*args) ⇒ Object

Since:

  • SketchUp 2014



51
52
# File 'lib/entities.rb', line 51

def add_section_plane(*args)
end

#add_text(text, position, vector = nil) ⇒ Object



126
127
# File 'lib/entities.rb', line 126

def add_text(text, position, vector = nil)
end

#at(index) ⇒ Object



128
129
# File 'lib/entities.rb', line 128

def at(index)
end

#clear!Object



130
131
# File 'lib/entities.rb', line 130

def clear!
end

#countObject

Since:

  • SketchUp 2014 @see Enumberable#count



134
135
# File 'lib/entities.rb', line 134

def count
end

#eachObject



137
138
# File 'lib/entities.rb', line 137

def each
end

#erase_entities(*args) ⇒ Object



139
140
# File 'lib/entities.rb', line 139

def erase_entities(*args)
end

#fill_from_mesh(mesh, weld = nil, smooth = AUTO_SOFTEN | SMOOTH_SOFT_EDGES, front_material = nil, back_material = nil) ⇒ Object



141
142
143
144
# File 'lib/entities.rb', line 141

def fill_from_mesh(mesh, weld = nil,
                   smooth = AUTO_SOFTEN | SMOOTH_SOFT_EDGES,
                   front_material = nil, back_material = nil)
end

#intersect_with(recurse, transform1, entities1, transform2, hidden, entities2) ⇒ Object



145
146
# File 'lib/entities.rb', line 145

def intersect_with(recurse, transform1, entities1, transform2, hidden, entities2)
end

#lengthObject



147
148
# File 'lib/entities.rb', line 147

def length
end

#modelObject



150
151
# File 'lib/entities.rb', line 150

def model
end

#parentObject



152
153
# File 'lib/entities.rb', line 152

def parent
end

#remove_observer(observer) ⇒ Object



154
155
# File 'lib/entities.rb', line 154

def remove_observer(observer)
end

#sizeObject

alias_method :size, :length

See Also:

Since:

  • SketchUp 2014



57
58
# File 'lib/entities.rb', line 57

def size
end

#transform_by_vectors(entities, vectors) ⇒ Object



156
157
# File 'lib/entities.rb', line 156

def transform_by_vectors(entities, vectors)
end

#transform_entities(transformation, entities) ⇒ Object



158
159
# File 'lib/entities.rb', line 158

def transform_entities(transformation, entities)
end